MetacatUI - Task #6896
Story # 6919 (Resolved): User, Group, and Member Node profiles

User is not signed out when session expires
12/04/2015 10:14 AM - Lauren Walker

Status: Resolved Start date: 12/04/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.10.0 Spent time: 0.00 hour
Description

For example when the Ul is left up overnight in a browser tab and then in the morning the user tries to complete a task that requires
authorization, they no longer are able to generate a token/be signed-in. So we need to either sign them out, sign them back in, and
redirect them to sign in again.

History

#1-01/01/2016 10:07 AM - Lauren Walker
- Parent task set to #6919

#2 - 01/08/2016 12:36 PM - Lauren Walker
- Status changed from New to Resolved

- translation missing: en.field_remaining_hours set to 0.0

The app now listens for the focus event on the window, which is fired when the user goes to another window/tab/application and then returns. On
focus, the token is checked using /diag/subject, and if the token is no longer valid, the page is refreshed.
